# Place Order

## URL Yêu cầu thanh toán

### Đặc tả <a href="#ac-ta" id="ac-ta"></a>

* URL: \<PARTNER\_PAYMENT\_URL>?key=\<encrypted\_key>?data=\<encrypted\_data>
* Method: REDIRECT
* Mô tả: Dùng chuyển hướng người dùng đến hệ thống thanh toán của đối tác
* Yêu cầu bảo mật: [Mã hóa dữ liệu và kèm theo chữ ký điện tử](https://gotadi.gitbook.io/technical-documentation/~/changes/hxSZJK0E5x4hAwJJ8axI/vietnamese/yeu-cau-bao-mat)

<details>

<summary>Model</summary>

* key (string, required),

  Key giải mã dữ liệu (đã được mã hóa). Cách giải mã tham khảo mục: [Mã hóa dữ liệu truyền và xác thực chữ ký điện tử](https://developer.gotadi.com/dev-guide/#3-ma-hoa-du-lieu-truyen-va-xac-thuc-chu-ky-ien-tu)
* data (string, required),

  Dữ liệu kèm theo chữ ký điện tử (đã được mã hóa). Cách giải mã tham khảo mục: [Mã hóa dữ liệu truyền và xác thực chữ ký điện tử](https://developer.gotadi.com/dev-guide/#3-ma-hoa-du-lieu-truyen-va-xac-thuc-chu-ky-ien-tu)

  *Signature data schema:*

  ```
  <access_code>|<booking_number>|<product_type>|<total_amount>
  ```

  *Original data schema:*

  ```
  <access_code>|<booking_number>|<product_type>|<signature>|<total_amount>
  ```

  * access\_code (String, required)

    Access code do Gotadi cung cấp cho Đối tác.
  * bookingNumber (String, optional)

    Mã dùng tham chiếu đến booking
  * product\_type (String, optional)

    Loại sản phẩm, có giá trị là `AIR` hoặc `HOTEL` tương ứng với loại sản phẩm được mua
  * total\_amount (String, optional)

    Tổng số tiền phải thanh toán

</details>

#### Example

```url
https://partner_x.com/payment?key=...?data=...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gotadi.com/vietnamese/doi-tac-b2b2c/phuong-thuc-webview/place-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
